BCECPublicKey (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.provider.asymmetric.ec

## Class BCECPublicKey

- java.lang.Object
- - org.bouncycastle.jcajce.provider.asymmetric.ec.BCECPublicKey

- All Implemented Interfaces:
    java.io.Serializable, java.security.Key, java.security.PublicKey, ECKey, ECPointEncoder, ECPublicKey

      public class BCECPublicKey
      extends java.lang.Object
      implements java.security.interfaces.ECPublicKey, ECPublicKey, ECPointEncoder

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BCECPublicKey(java.security.interfaces.ECPublicKey key, ProviderConfiguration configuration)`
    `BCECPublicKey(java.lang.String algorithm, BCECPublicKey key)`
    `BCECPublicKey(java.lang.String algorithm, ECPublicKeyParameters params, java.security.spec.ECParameterSpec spec, ProviderConfiguration configuration)`
    `BCECPublicKey(java.lang.String algorithm, ECPublicKeyParameters params, ECParameterSpec spec, ProviderConfiguration configuration)`
    `BCECPublicKey(java.lang.String algorithm, ECPublicKeyParameters params, ProviderConfiguration configuration)`
    `BCECPublicKey(java.lang.String algorithm, java.security.spec.ECPublicKeySpec spec, ProviderConfiguration configuration)`
    `BCECPublicKey(java.lang.String algorithm, ECPublicKeySpec spec, ProviderConfiguration configuration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ECPoint` | `engineGetQ()`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getAlgorithm()`
    `byte[]` | `getEncoded()`
    `java.lang.String` | `getFormat()`
    `ECParameterSpec` | `getParameters()` return a parameter specification representing the EC domain parameters for the key.
    `java.security.spec.ECParameterSpec` | `getParams()`
    `ECPoint` | `getQ()` return the public point Q
    `java.security.spec.ECPoint` | `getW()`
    `int` | `hashCode()`
    `void` | `setPointFormat(java.lang.String style)` Set the formatting for encoding of points.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BCECPublicKey

          public BCECPublicKey(java.lang.String algorithm,
                       BCECPublicKey key)

    - #### BCECPublicKey

          public BCECPublicKey(java.lang.String algorithm,
                       java.security.spec.ECPublicKeySpec spec,
                       ProviderConfiguration configuration)

    - #### BCECPublicKey

          public BCECPublicKey(java.lang.String algorithm,
                       ECPublicKeySpec spec,
                       ProviderConfiguration configuration)

    - #### BCECPublicKey

          public BCECPublicKey(java.lang.String algorithm,
                       ECPublicKeyParameters params,
                       java.security.spec.ECParameterSpec spec,
                       ProviderConfiguration configuration)

    - #### BCECPublicKey

          public BCECPublicKey(java.lang.String algorithm,
                       ECPublicKeyParameters params,
                       ECParameterSpec spec,
                       ProviderConfiguration configuration)

    - #### BCECPublicKey

          public BCECPublicKey(java.lang.String algorithm,
                       ECPublicKeyParameters params,
                       ProviderConfiguration configuration)

    - #### BCECPublicKey

          public BCECPublicKey(java.security.interfaces.ECPublicKey key,
                       ProviderConfiguration configuration)

  - ### Method Detail

    - #### getAlgorithm

          public java.lang.String getAlgorithm()

      Specified by:
        `getAlgorithm` in interface `java.security.Key`

    - #### getFormat

          public java.lang.String getFormat()

      Specified by:
        `getFormat` in interface `java.security.Key`

    - #### getEncoded

          public byte[] getEncoded()

      Specified by:
        `getEncoded` in interface `java.security.Key`

    - #### getParams

          public java.security.spec.ECParameterSpec getParams()

    - #### getParameters

          public ECParameterSpec getParameters()

      Description copied from interface: `ECKey`
      return a parameter specification representing the EC domain parameters for the key.
      Specified by:
        `getParameters` in interface `ECKey`

    - #### getW

          public java.security.spec.ECPoint getW()

    - #### getQ

          public ECPoint getQ()

      Description copied from interface: `ECPublicKey`
      return the public point Q
      Specified by:
        `getQ` in interface `ECPublicKey`

    - #### engineGetQ

          public ECPoint engineGetQ()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### setPointFormat

          public void setPointFormat(java.lang.String style)

      Description copied from interface: `ECPointEncoder`
      Set the formatting for encoding of points. If the String "UNCOMPRESSED" is passed in point compression will not be used. If the String "COMPRESSED" is passed point compression will be used. The default is "UNCOMPRESSED".
      Specified by:
        `setPointFormat` in interface `ECPointEncoder`
      Parameters:
        `style` - the style to use.

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`